Package ghidra.app.cmd.refs

# Class SetPrimaryRefCmd

java.lang.Object
ghidra.app.cmd.refs.SetPrimaryRefCmd

All Implemented Interfaces:
  `Command`

public class SetPrimaryRefCmd extends Object implements Command
Command class for setting a reference to be primary. Any other reference that was primary at that address will no longer be primary.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetPrimaryRefCmd(Address fromAddr, int opIndex, Address toAddr, boolean isPrimary)`
  Creates a command for setting whether or not a reference is the primary reference.
  `SetPrimaryRefCmd(Reference ref, boolean isPrimary)`
  Creates a command for setting whether or not a reference is the primary reference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(DomainObject obj)`
  Applies the command to the given domain object.
  `String`
  `getName()`
  Returns the name of this command.
  `String`
  `getStatusMsg()`
  Returns the status message indicating the status of the command.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SetPrimaryRefCmd

    public SetPrimaryRefCmd(Reference ref, boolean isPrimary)
    Creates a command for setting whether or not a reference is the primary reference. If isPrimary is true, any other reference that was primary at that address will no longer be primary.
    Parameters:
      `ref` - the reference
      `isPrimary` - true to make the reference primary, false to make it non-primary

  - ### SetPrimaryRefCmd

    public SetPrimaryRefCmd(Address fromAddr, int opIndex, Address toAddr, boolean isPrimary)
    Creates a command for setting whether or not a reference is the primary reference. If isPrimary is true, any other reference that was primary at that address will no longer be primary.
    Parameters:
      `fromAddr` - the address of the codeunit making the reference.
      `opIndex` - the operand index.
      `toAddr` - the address being referred to.
      `isPrimary` - true to make the reference primary, false to make it non-primary

- ## Method Details

  - ### applyTo

    public boolean applyTo(DomainObject obj)
    Description copied from interface: `Command`
    Applies the command to the given domain object.
    Specified by:
      `applyTo` in interface `Command`
    Parameters:
      `obj` - domain object that this command is to be applied.
    Returns:
      true if the command applied successfully
    See Also:
      - `Command.applyTo(ghidra.framework.model.DomainObject)`

  - ### getStatusMsg

    public String getStatusMsg()
    Description copied from interface: `Command`
    Returns the status message indicating the status of the command.
    Specified by:
      `getStatusMsg` in interface `Command`
    Returns:
      reason for failure, or null if the status of the command was successful
    See Also:
      - `Command.getStatusMsg()`

  - ### getName

    public String getName()
    Description copied from interface: `Command`
    Returns the name of this command.
    Specified by:
      `getName` in interface `Command`
    Returns:
      the name of this command
    See Also:
      - `Command.getName()`